IntlChar::isspace
IntlChar::isUAlphabetic
IntlChar
PHP Manual

# IntlChar::istitle

(PHP 7)

IntlChar::istitle — Check if code point is a titlecase letter

### Description

public static bool IntlChar::istitle ( mixed `$codepoint` )

Determines whether the specified code point is a titlecase letter.

`TRUE` for general category "Lt" (titlecase letter).

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns `TRUE` if `codepoint` is a titlecase letter, `FALSE` if not.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::istitle("A"));
var_dump(IntlChar::istitle("a"));
var_dump(IntlChar::istitle("Φ"));
var_dump(IntlChar::istitle("φ"));
var_dump(IntlChar::istitle("1"));
?>`

The above example will output:

    bool(false)
    bool(true)
    bool(false)
    bool(true)
    bool(false)

### See Also

- IntlChar::isupper() - Check if code point has the general category "Lu" (uppercase letter)
- IntlChar::islower() - Check if code point is a lowercase letter
- IntlChar::totitle() - Make Unicode character titlecase

IntlChar::isspace
IntlChar::isUAlphabetic
IntlChar
PHP Manual